@import url('https://fonts.googleapis.com/css2?family=Finlandica&family=Montserrat+Alternates:ital@1&family=Playfair+Display:ital,wght@0,600;1,500&display=swap');
:root {
    --yellow: #272727;
    --black:#111;
    --white:#fff;
    --light-color:#666;
    --light-bg:#eee;
    --box-shadow:0 .5rem 1rem rgba(0,0,0,.1);
    --border:.1rem solid rgba(0,0,0,.3);
  }
  * {
    font-family: 'Finlandica', sans-serif;
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
  }
  
  html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
  }
  
  html::-webkit-scrollbar {
    width: 1rem;
  }
  
  html::-webkit-scrollbar-track {
    background: transparent;
  }
  
  html::-webkit-scrollbar-thumb {
    background: var(--yellow);
  }

section {
    padding: 5rem 10%;
}

.heading {
    margin-bottom: 3rem;
    font-size: 3rem;
    color: var(--black);
    text-transform: capitalize;
    padding-left: 1rem;
    border-left: 1rem solid #242526;
}

nav{
  position: fixed;
  z-index: 99;
  width: 100%;
  background: #000;
  font-family: 'Finlandica', sans-serif;
}
nav .wrapper{
  position: relative;
  max-width: 1300px;
  padding: 0px 30px;
  height: 70px;
  line-height: 70px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.wrapper .logo img{
    height: 70px;
    padding: 5px;
    margin-top: 25px;
    align-items: center;
    justify-content: center;
}
.wrapper .nav-links{
  display: inline-flex;
}
.nav-links li{
  list-style: none;
}
.nav-links li a{
  color: #f2f2f2;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  padding: 9px 15px;
  border-radius: 5px;
  transition: all 0.3s ease;
}
.nav-links li a:hover{
  background: rgb(23, 23, 23);
}
.nav-links .mobile-item{
  display: none;
}
/* .nav-links .drop-menu{
  position: absolute;
  background: #242526;
  width: 180px;
  line-height: 45px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box{
  transition: all 0.3s ease;
  top: 70px;
  opacity: 1;
  visibility: visible;
}
.drop-menu li a{
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
}
.mega-box{
  position: absolute;
  left: 0;
  width: 100%;
  padding: 0 30px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
}
.mega-box .content{
  background: #242526;
  padding: 25px 20px;
  display: flex;
  width: 100%;
  justify-content: space-between;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.mega-box .content .row{
  width: calc(25% - 30px);
  line-height: 45px; 
}
.content .row img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.content .row header{
  color: #f2f2f2;
  font-size: 20px;
  font-weight: 500;
}
.content .row .mega-links{
  margin-left: -40px;
  border-left: 1px solid rgba(255,255,255,0.09);
}
.row .mega-links li{
  padding: 0 20px;
}
.row .mega-links li a{
  padding: 0px;
  padding: 0 20px;
  color: #d9d9d9;
  font-size: 17px;
  display: block;
}
.row .mega-links li a:hover{
  color: #f2f2f2;
}*/
.wrapper .btn{
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn{
  position: absolute;
  right: 30px;
  top: 10px;
}

@media screen and (max-width: 970px) {
  .wrapper .btn{
    display: block;
  }
  .wrapper .nav-links{
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: #242526;
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0,0,0,0.18);
    transition: all 0.3s ease;
  }
  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }
  ::-webkit-scrollbar-track {
    background: #242526;
  }
  ::-webkit-scrollbar-thumb {
    background: #3A3B3C;
  }
  #menu-btn:checked ~ .nav-links{
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn{
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn{
    display: block;
  }
  .nav-links li{
    margin: 15px 10px;
  }
  .nav-links li a{
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav-links .drop-menu{
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }
  #showDrop:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box{
    max-height: 100%;
  }
  .nav-links .desktop-item{
    display: none;
  }
  .nav-links .mobile-item{
    display: block;
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  .nav-links .mobile-item:hover{
    background: #3A3B3C;
  }
  .drop-menu li{
    margin: 0;
  }
  .drop-menu li a{
    border-radius: 5px;
    font-size: 18px;
  }
  .mega-box{
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }
  .mega-box .content{
    box-shadow: none;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega-box .content .row{
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255,255,255,0.08);
  }
  .mega-box .content .row:nth-child(1),
  .mega-box .content .row:nth-child(2){
    border-top: 0px;
  }
  .content .row .mega-links{
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega-links li{
    margin: 0;
  }
  .content .row header{
    font-size: 19px;
  }
}
nav input{
  display: none;
}



.services {
    background: var(--light-bg);
    padding-top: 8%;
    font-family: 'Finlandica', sans-serif;
    max-height: 100%;
    height: 850px;
  }
  
  .services .box-container {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (minmax(25rem, 1fr))[auto-fit];
        grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 2rem;
  }
  
  .services .box-container .box {
    text-align: center;
    padding: 3rem;
    background: var(--white);
    -webkit-box-shadow: var(--box-shadow);
            box-shadow: var(--box-shadow);
    border: var(--border);
  }
  
  .services .box-container .box:hover img {
    -webkit-transform: translateY(-1rem);
            transform: translateY(-1rem);
  }
  
  .services .box-container .box img {
    height: 7rem;
    margin-bottom: .5rem;
    -webkit-transition: .2s linear;
    transition: .2s linear;
  }
  
  .services .box-container .box h3 {
    font-size: 1.7rem;
    color: var(--black);
    text-transform: capitalize;
    padding: 1rem 0;
  }
  
  .services .box-container .box p {
    font-size: 1.4rem;
    color: var(--light-color);
    line-height: 2;
  }

  @media (max-width: 1200px) {
    .header {
      padding: 1.5rem 2rem;
    }
    section {
      padding: 3rem 5%;
    }

    
  }
  
  @media (max-width: 991px) {
    html {
      font-size: 55%;
    }
    section {
      padding: 3rem 2rem;
    }

    .services{
        padding-top: 10%;
    }

    .header #menu-btn {
      display: inline-block;
    }
    .header .navbar {
      position: absolute;
      top: 99%;
      left: 0;
      right: 0;
      background: var(--white);
      border-top: var(--border);
      border-bottom: var(--border);
      -webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
              clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
      -webkit-transition: .2s linear;
      transition: .2s linear;
    }
    .header .navbar.active {
      -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
              clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
    .header .navbar a {
      display: block;
      margin: 2rem;
    }
  }
  
  @media (max-width: 450px) {
    html {
      font-size: 50%;
    }

    .services{
        padding-top: 30%;
    }
  }

  .end{
    position: relative;
    width: 100%;
    min-height: 10vh;
    display: flex;
    background: #000;
    align-items: center;
    justify-content: center;
    margin-bottom: 0%;
  }
  
  .footer-text{
    text-align: center;
    font-family: 'Finlandica', sans-serif;
    padding: 20px;
    color: #fff;
  }